View Issue Details

IDProjectCategoryView StatusLast Update
0001934FreeCADBugpublic2018-10-28 09:43
ReportershoogenAssigned To 
PrioritynoneSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
Product Version 
Target Version0.18Fixed in Version0.18 
Summary0001934: OCCT algorithms can't handle zero derivatives
Descriptionmany OCCT algorithms fail if a derivative becomes zero.
Those appear in Bezier curves when their first (or last) pole is duplicated.
This seriously affects imported paths form SVG files and some SPLINES from DXF files.
Additional Informationhttp://dev.opencascade.org/index.php?q=node/1053
Tagsbezier curve, OCC 7.3, OCC Bug, upstream

Relationships

child of 0001743 closedshoogen File formats dxf import/export does not work 

Activities

Kunda1

2017-01-15 04:39

manager   ~0007779

Last edited: 2017-09-02 11:04

View 6 revisions

Related upstream tickets mentioned in http://dev.opencascade.org/index.php?q=node/1053:
http://tracker.dev.opencascade.org/view.php?id=25730 (Edit: Fixed in OCC 7.2.0)
http://tracker.dev.opencascade.org/view.php?id=25104 (Edit: assigned to be potentially fixed in OCC 7.2.1)

Kunda1

2017-08-22 11:50

manager   ~0009991

@ickby do you mind asking the OCCT devs to add http://tracker.dev.opencascade.org/view.php?id=25730 to their roadmap ?

Kunda1

2017-08-27 12:34

manager   ~0010012

Good news, Upstream 25730 is slated to be fixed in 7.2.0 according to their roadmap.

Kunda1

2017-09-02 11:02

manager   ~0010058

Last edited: 2018-06-12 20:14

View 2 revisions

Upstream 25730 is fixed in 7.2.0 !
Upstream 25104 is slated to be fixed in 7.2.1 7.3.0

Kunda1

2018-06-12 20:13

manager   ~0011415

Upstream 25104 is slated to be fixed in 7.3
Please confirm fix @wmayer

Kunda1

2018-07-05 01:26

manager   ~0011495

@tanderson69 would you mind testing this using OCC7.3 ?

wmayer

2018-09-24 18:05

administrator   ~0011828

The initial post is about a bug in OCCT and does not refer to an explicit use case where this error would occur.

Issue History

Date Modified Username Field Change
2015-01-26 14:16 shoogen New Issue
2015-01-26 14:16 shoogen Tag Attached: OCC Bug
2015-01-26 14:20 shoogen Relationship added child of 0001743
2015-01-26 14:21 shoogen Summary OCCT algorithms can't handle a zero derivatives => OCCT algorithms can't handle zero derivatives
2017-01-10 16:01 Kunda1 Tag Attached: upstream
2017-01-15 04:39 Kunda1 Note Added: 0007779
2017-01-15 04:41 Kunda1 Tag Attached: OCC 7.2
2017-01-15 04:41 Kunda1 Note Edited: 0007779 View Revisions
2017-01-17 17:21 Kunda1 Tag Attached: bezier curve
2017-01-27 02:24 Kunda1 Tag Attached: bump
2017-08-22 11:49 Kunda1 Tag Detached: OCC 7.2
2017-08-22 11:49 Kunda1 Tag Attached: OCC 7.2.1
2017-08-22 11:49 Kunda1 Note Edited: 0007779 View Revisions
2017-08-22 11:50 Kunda1 Note Added: 0009991
2017-08-22 11:51 Kunda1 Tag Attached: OCC Unscheduled
2017-08-22 11:56 Kunda1 Tag Renamed OCC Unscheduled => OCC NotOnRoadmap
2017-08-27 12:34 Kunda1 Note Added: 0010012
2017-08-27 12:34 Kunda1 Tag Attached: OCC 7.2
2017-08-27 12:35 Kunda1 Note Edited: 0007779 View Revisions
2017-08-27 12:36 Kunda1 Note Edited: 0007779 View Revisions
2017-08-27 12:36 Kunda1 Tag Detached: OCC NotOnRoadmap
2017-09-02 11:02 Kunda1 Note Added: 0010058
2017-09-02 11:04 Kunda1 Note Edited: 0007779 View Revisions
2017-09-02 11:05 Kunda1 Tag Detached: bump
2018-01-18 13:36 Kunda1 Tag Attached: #tobeclosed
2018-01-18 13:37 Kunda1 Status new => acknowledged
2018-06-12 20:12 Kunda1 Tag Detached: OCC 7.2.1
2018-06-12 20:12 Kunda1 Tag Detached: OCC 7.2
2018-06-12 20:13 Kunda1 Tag Attached: OCC 7.3
2018-06-12 20:13 Kunda1 Note Added: 0011415
2018-06-12 20:14 Kunda1 Note Edited: 0010058 View Revisions
2018-06-12 20:15 Kunda1 Target Version => 0.18
2018-07-05 01:26 Kunda1 Note Added: 0011495
2018-09-24 18:05 wmayer Status acknowledged => closed
2018-09-24 18:05 wmayer Resolution open => no change required
2018-09-24 18:05 wmayer Fixed in Version => 0.18
2018-09-24 18:05 wmayer Note Added: 0011828
2018-10-28 09:43 Kunda1 Tag Detached: #tobeclosed